Ev::embeddableBackends
Ev::feedSignalEvent
Ev
PHP Manual

# Ev::feedSignal

Feed a signal event info Ev

### Description

final public static void Ev::feedSignal ( int `$signum` )

Simulates a signal receive. It is safe to call this function at any time, from any context, including signal handlers or random threads. Its main use is to customise signal handling in the process.

Unlike Ev::feedSignalEvent , this works regardless of which loop has registered the signal.

### Parameters

`signum`

  Signal number. See signal(7) man page for detals. You can use constants exported by pcntl extension.

### Return Values

No value is returned.

### See Also

- Ev::feedSignalEvent